aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Healy <lmiphay@gmail.com>2019-02-19 22:02:53 +0000
committerPaul Healy <lmiphay@gmail.com>2019-02-19 22:02:53 +0000
commitfc16417fff90f1f3d86f333c7a5b5c2d51735292 (patch)
tree34c941df73703319e6c09c09bf38fddff120714a
parentrevbump kokua (diff)
downloadlmiphay-master.tar.gz
lmiphay-master.tar.bz2
lmiphay-master.zip
revbump grokHEADmaster
Signed-off-by: Paul Healy <lmiphay@gmail.com>
-rw-r--r--www-apps/opengrok-bin/Manifest2
-rw-r--r--www-apps/opengrok-bin/opengrok-bin-1.2.2.ebuild125
2 files changed, 127 insertions, 0 deletions
diff --git a/www-apps/opengrok-bin/Manifest b/www-apps/opengrok-bin/Manifest
index 9084332..6dba7db 100644
--- a/www-apps/opengrok-bin/Manifest
+++ b/www-apps/opengrok-bin/Manifest
@@ -4,8 +4,10 @@ DIST opengrok-1.1.2.tar.gz 45767793 BLAKE2B 614a6d07e291d00d3b73e361610b0d39634c
DIST opengrok-1.1.tar.gz 45759729 BLAKE2B 6d55d4cbc7629102b4cc74342a00e40871475b791110e8ea6887b9094ddd2d5af5cbc00e4c877c4064414a014a0c958b32494d802d08367e1674ab0d5b70e9f7 SHA512 cd44933936dce2891dd2c12b6d591f1f462c4f71be9aa47f4e8bfb2de6b784bba0aaaf42fa8522852880354e15a68fdaede266606d2411e94a2576afe5a97d58
DIST opengrok-1.2.0.tar.gz 45151535 BLAKE2B f1a7260a97fb066752f30a78f03bb33fb48f5ca253cb53eb02381e4120521bc9f37e510783cfd16877cbacea23016d4c25320012241b9db88c7413676e8e871d SHA512 a252bf572e719b5083ec0ebac51815e2416b2fdcd276178a41330102329834ac62482fa69b63915b199f5b0fdb31d4633817b4484bac963a865686184bec2d91
DIST opengrok-1.2.1.tar.gz 45243182 BLAKE2B 2fc4afd8b96b1c6c10ec265c5320f89158d28b9fe520251718358e8736ecf79ec74bce3ace5457c3e4d44e5324383ade30aa2919ff59a50fce1c1f3c270effc8 SHA512 c912014d7a74c375d5689b47975c9f77475c5d9e9c77aa0b7f1dad24c3d1d7f9195264e3555a4896c4fb2a4f5577349eb71921ea14669224a999a3314e0ea68c
+DIST opengrok-1.2.2.tar.gz 45300874 BLAKE2B 8036853e2473388537776385d19ef92b8a40da1c2b336438e35a5beab9c213cabadaff0f0258c89c0795bbd04664f4267061c7e489c615a09b0c18c03c7031c6 SHA512 40d87b9dfe35fcba109e41b4262bea06fae7d045709cc2652ff3c247c2982353a54b428a373bb8be4bb55ce10b01269fcf5bb265ef89aaa6497bedf4ea8f9651
EBUILD opengrok-bin-1.0.ebuild 2523 BLAKE2B 10f5173a296b55a7f04af4c8b26c4a4df812e1013c29485e8e5cd8517c447a36bfda7b97765877ecbac61a5e97b2a23b635775e6f02b88b2fc59c3a9340d5730 SHA512 b1e00b57ac203214e8aa9bf9664421d30902008251ee95acdad6d0a2047dbb8fcde04f3592ae8ea698a667cfe1248e867cb51f88abdbd58cb9c7f70aad36a7a6
EBUILD opengrok-bin-1.1.2.ebuild 3702 BLAKE2B 11754446f67b2d4264592345819c471b949eae41930adcd3b66a900f607b272c26a7a1025899346dec92e4559cefc1abd665edeacb24f1116dc5886b4c283c45 SHA512 eeec117ff1c8bc94fc8dfdee99552ac28b82c3af427ddb5c410b4ed436bac4063d14bb716bcabdc3164d5e92372f02d7fb0b04810bf389574bf2f97a78503378
EBUILD opengrok-bin-1.1.ebuild 3710 BLAKE2B cc8dc96f5e913d2e6f8c76ced0cb5a418cb203e6f3a71f94296cb4f13794a96634a8381c9c4700b0b890f4da12f8e512b5e158e32106a9655aa7a615cd58dab3 SHA512 0b0ede6570e03f9925945e7fcf2472915e709f28b33d335f84a9d654dfa1931ed2f55137c4d63d01a880c0ed389d6e2e12ac0a818fb3a112f9e0af4eeff7f4ca
EBUILD opengrok-bin-1.2.0.ebuild 3702 BLAKE2B 11754446f67b2d4264592345819c471b949eae41930adcd3b66a900f607b272c26a7a1025899346dec92e4559cefc1abd665edeacb24f1116dc5886b4c283c45 SHA512 eeec117ff1c8bc94fc8dfdee99552ac28b82c3af427ddb5c410b4ed436bac4063d14bb716bcabdc3164d5e92372f02d7fb0b04810bf389574bf2f97a78503378
EBUILD opengrok-bin-1.2.1.ebuild 3702 BLAKE2B 11754446f67b2d4264592345819c471b949eae41930adcd3b66a900f607b272c26a7a1025899346dec92e4559cefc1abd665edeacb24f1116dc5886b4c283c45 SHA512 eeec117ff1c8bc94fc8dfdee99552ac28b82c3af427ddb5c410b4ed436bac4063d14bb716bcabdc3164d5e92372f02d7fb0b04810bf389574bf2f97a78503378
+EBUILD opengrok-bin-1.2.2.ebuild 3702 BLAKE2B 11754446f67b2d4264592345819c471b949eae41930adcd3b66a900f607b272c26a7a1025899346dec92e4559cefc1abd665edeacb24f1116dc5886b4c283c45 SHA512 eeec117ff1c8bc94fc8dfdee99552ac28b82c3af427ddb5c410b4ed436bac4063d14bb716bcabdc3164d5e92372f02d7fb0b04810bf389574bf2f97a78503378
diff --git a/www-apps/opengrok-bin/opengrok-bin-1.2.2.ebuild b/www-apps/opengrok-bin/opengrok-bin-1.2.2.ebuild
new file mode 100644
index 0000000..4e57fa7
--- /dev/null
+++ b/www-apps/opengrok-bin/opengrok-bin-1.2.2.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 )
+
+inherit eutils user distutils-r1
+
+MY_PN="${PN/-bin/}"
+# 1.1_rc2 -> 1.1-rc2
+MY_PV="${PV}"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="Fast source code search and cross reference engine"
+HOMEPAGE="http://opengrok.github.io/OpenGrok/"
+SRC_URI="https://github.com/OpenGrok/OpenGrok/releases/download/${MY_PV}/${MY_P}.tar.gz"
+RESTRICT="mirror"
+
+LICENSE="CDDL"
+SLOT="0"
+KEYWORDS="~amd64"
+# use cssc for SCCS support
+IUSE="cssc subversion"
+
+TOMCAT=9
+
+BDEPEND="
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+DEPEND="
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-util/ctags-5.8
+ www-servers/tomcat:${TOMCAT}
+ cssc? ( dev-vcs/cssc )
+ subversion? ( >=dev-vcs/subversion-1.9.5[java] )
+"
+
+INSTALL_DIR="/opt/${MY_PN}"
+OPENGROK_DIR="/var/${MY_PN}"
+ETC_DIR="${OPENGROK_DIR}/etc"
+SRC_DIR="${OPENGROK_DIR}/src"
+USER_ID="opengrok"
+GROUP_ID="opengrok"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( "doc/README.md" "doc/logging.properties" )
+
+pkg_setup() {
+ enewgroup "${GROUP_ID}"
+ enewuser "${USER_ID}" -1 -1 -1 "${GROUP_ID}"
+}
+
+src_unpack() {
+ default
+ cd "${S}" && tar -xf tools/opengrok-tools.tar.gz || die
+}
+
+python_prepare_all() {
+ mv opengrok-tools-*/* . || die
+
+ sed -i '/resource/d' 'opengrok_tools.egg-info/requires.txt' || die
+ sed -i "/'resource'/d" 'setup.py' || die
+ sed -i "/'pytest-runner',/d" 'setup.py' || die
+
+ # force the finding of ctags (exuberant version is installed as ctags on gentoo)
+ sed -i -e "s:'universal-ctags', ::" src/main/python/opengrok_tools/utils/indexer.py || die
+
+ sed -i -e '1,2d' man/man1/opengrok.1 || die
+ # manpage sed based on Fedora opengrok.spec by Lubomir Kundrak
+ sed 's,^<!DOCTYPE.*,<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "docbookx.dtd">,
+ s,^<?Pub Inc>,,
+ s,^<command>opengrok,<command>opengrok</command>,
+ s,^<optional><option>,<arg><option>,
+ s,</option></optional>,</option></arg>,
+ s,^</command>,,' man/man1/opengrok.1 | \
+ xsltproc /usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl -
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ doman opengrok.1
+
+ dodir "${INSTALL_DIR}"
+ cp -pRP lib share "${ED}/${INSTALL_DIR}" || die
+
+ diropts -m 0775 -o ${USER_ID} -g ${GROUP_ID}
+ keepdir "${ETC_DIR}" "${SRC_DIR}"
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ elog "Create a tomcat instance to host opengrok, see: https://wiki.gentoo.org/wiki/Apache_Tomcat"
+ elog "e.g. /usr/share/tomcat-${TOMCAT}/gentoo/tomcat-instance-manager.bash --create"
+ elog ""
+ elog "Deploy the web app, example:"
+ elog " opengrok-deploy ${INSTALL_DIR}/lib/source.war /var/lib/tomcat-${TOMCAT}/webapps"
+ elog ""
+ elog "Index the source directory (${SRC_DIR}), example:"
+ elog " opengrok-indexer -j /usr/bin/java -a ${INSTALL_DIR}/lib/opengrok.jar -- \ "
+ elog " --source ${SRC_DIR} --dataRoot ${OPENGROK_DIR}/data \ "
+ elog " --writeConfig ${OPENGROK_DIR}/etc/configuration.xml --host http://127.0.0.1:8080"
+ elog ""
+ elog "If you need to specify JAVA_HOME: export JAVA_HOME=\$(java-config-2 --jdk-home)"
+ elog ""
+ elog "Browse to: http://YOUR_WEBAPP_SERVER:WEBAPPSRV_PORT/source"
+ elog "e.g. http://localhost:8080/source/"
+ elog ""
+ elog "Restart tomcat if you get an application not-found on first installation:"
+ elog "e.g. /etc/init.d/tomcat-${TOMCAT} restart"
+ elog ""
+ elog "Release notes at: https://github.com/OpenGrok/OpenGrok/releases"
+}